package com.rjconsultores.ventaboletos.enums;

/**
 * @author Valdir Cordeiro
 *
 */
public enum StatusFlexBus {
	
	EM_RESERVA(0, "EM RESERVA"),
	CONFIRMADO_AUTOMATICAMENTE(1, "CONFIRMADO AUTOMATICAMENTE"),
	CONFIRMADO_MANUALMENTE(2, "CONFIRMADO MANUALMENTE"), 
	CANCELADO_AUTOMATICAMENTE( 3, "CANCELADO AUTOMATICAMENTE"),
	CANCELADO_MANUALMENTE(4, "CANCELADO MANUALMENTE");
	
	private Integer status;
	private String descricao;
	
	private StatusFlexBus(Integer status, String descricao) {
		this.descricao = descricao;
		this.status = status;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
	
	public static String buscarStatus(Integer id) {
		for (StatusFlexBus status : StatusFlexBus.values()) {
			if (status.getStatus() == id) {
				return status.getDescricao();
			}
		}
		return null;
	}
	
	public static StatusFlexBus buscarPorStatus(Integer id) {
		for (StatusFlexBus status : StatusFlexBus.values()) {
			if (status.getStatus() == id) {
				return status;
			}
		}
		return null;
	}
	
	@Override
	public String toString() {
		return descricao;
	}
	
}
